<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>Fhir-Validator-Validation</artifactId>
        <groupId>net.ihe.gazelle.validator</groupId>
        <version>4.1.9-SNAPSHOT</version>
    </parent>
    <packaging>ejb</packaging>
    <modelVersion>4.0.0</modelVersion>

    <build>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>
        <pluginManagement>
            <plugins>
                <!-- Manage plugin versions for build stability -->
                <plugin>
                    <artifactId>maven-surefire-plugin</artifactId>
                    <configuration>
                        <argLine>${argLine} -Xmx2048m</argLine>
                    </configuration>
                </plugin>

                <plugin>
                    <groupId>org.jacoco</groupId>
                    <artifactId>jacoco-maven-plugin</artifactId>
                    <version>0.7.9</version>
                    <executions>
                        <execution>
                            <id>default-prepare-agent</id>
                            <goals>
                                <goal>prepare-agent</goal>
                            </goals>
                        </execution>
                        <execution>
                            <id>default-report</id>
                            <phase>prepare-package</phase>
                            <goals>
                                <goal>report</goal>
                            </goals>
                        </execution>
                    </executions>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>


    <artifactId>Fhir-Validator-Validation-Peripherals</artifactId>
    <dependencies>
        <dependency>
            <groupId>net.ihe.gazelle.validator.common</groupId>
            <artifactId>validation-ws-ejb</artifactId>
            <version>3.0.0</version>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.library</groupId>
            <artifactId>version</artifactId>
            <version>3.0.0</version>
        </dependency>
        <dependency>
            <groupId>javax</groupId>
            <artifactId>javaee-api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.library</groupId>
            <artifactId>home-ejb</artifactId>
            <version>1.0.0</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>net.ihe.gazelle.validator</groupId>
            <artifactId>FhirValidator-Validation-Application</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>


    </dependencies>


</project>